2023-02-08 08:40 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005686WHDLoad Installs Ctros[All Projects] Generalpublic2022-06-11 18:52
ReporterDivu 
Assigned ToStingRayProject InfoWHDLoad Installs for Cracktros
http://whdload.de/download.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0005686: California Games (World of Wonders) 1.0 slave bug fixes
DescriptionI've reported these issues back in 2018 by email but they never got fixed:

1. The star scroller in background of the logo is missing.

This is because SPREN is not enabled in DMACON.

The fix is:

- move.w #$83d0,$dff096 ;Enable DMA
+ move.w #$83f0,$dff096 ;Enable DMA

2. Garbled scroll text and graphics not properly fixed

The modulo values were changed in order to make the OCS cracktro work on ECS & AGA machines, but this breaks the cracktro on OCS machines.

The proper fix for OCS, ECS & AGA is:

- move.w #-2,$72e7c ;Modulo 0 fix for text (was 0)
- move.w #-2,$72e80 ;Modulo 1 fix for text (was 0)
+ move.w #$d0,$72dc4 ;DDFSTOP fix for scroll text (was $d2)
+ move.w #$d0,$73658 ;DDFSTOP fix for scroll text (was $d2)

Thanks!
Steps To ReproduceRun the California Games (World of Wonders) 1.0 WHDLoad slave on

OCS machine:
-missing star scroller
-garbled scroll text and graphics

ECS machine:
-missing star scroller
-scroll text and graphics are correct

AGA machine:
-missing star scroller
-scroll text and graphics are correct
Additional InformationTested and reproduceable with MiST Minimig core 211207 and WinUAE 4.9.1.

Here's how the cracktro should look like with the star scroller:
https://www.youtube.com/watch?v=gq357Ckm0wE
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

note ~0011397

StingRay (developer)

Correct DMA setting is $83e0 (blitter, copper, sprites, bitplanes), $83f0 would enable disk DMA which is not needed at all. Anyway, DMA settings have been corrected, the modulo problems have been fixed by correcting DDFSTOP and 2 byte writes to the volume register have been fixed as well.
+Notes

-Issue History
Date Modified Username Field Change
2022-06-09 15:45 Divu New Issue
2022-06-11 18:51 StingRay Note Added: 0011397
2022-06-11 18:52 StingRay Assigned To => StingRay
2022-06-11 18:52 StingRay Status new => resolved
2022-06-11 18:52 StingRay Resolution open => fixed
+Issue History